#include <iostream>
#include <bits/stdc++.h>
using namespace std;

int main()
{
    string a,b,c,d;
    cin>>a>>b;
    int al=a.length();
    int bl=b.length();
    if(al!=bl){
    int cl=max(al,bl)-min(al,bl);
    for(int z=0; z<cl; z++){
        c+='/';}
    if(al>bl) b=c+b;
    if(bl>al) a=c+a;}
        for(int i=0; i<max(al,bl); i++){
            d[i]=max(a[i], b[i]);
            cout<<d[i];
            if(a[i]==b[i])
                cout<<a[i];}
    return 0;
}